import dotenv  from "dotenv";
import dotenvExpand from "dotenv-expand";
import { defineConfig } from "drizzle-kit";

dotenvExpand.expand(
	dotenv.config({
		path: [".env" , ".env.local", ".env.development", ".env.development.local"],
        override: true
 	})
);

export default defineConfig({
	out: "./drizzle",
	schema: "./src/lib/server/schema.ts",
	dialect: "postgresql",
	dbCredentials: {
		// biome-ignore lint/style/noNonNullAssertion: We're inside a config, crashing is fine
		url: process.env.DATABASE_URL!,
	},
	casing: "snake_case",
});
